import { Base as AirtableBase } from 'airtable';
import { IAirtableFilterParser } from './sql_filter_transformer';
import { IDataProvider, AdapterFilter as Filter, Item } from '@wix-velo/velo-external-db-types';
declare type AirtableQuery = {
    collectionName: string;
    filterByFormula?: any;
    limitExpr?: any;
    sortExpr?: any;
    idsOnly?: boolean;
    skip?: number;
    projection?: any;
};
export default class DataProvider implements IDataProvider {
    filterParser: IAirtableFilterParser;
    base: AirtableBase;
    constructor(base: any, filterParser: any);
    find(collectionName: string, filter: Filter, sort: any, skip: any, limit: any, projection: any): Promise<Item[]>;
    count(collectionName: string, filter: Filter): Promise<number>;
    insert(collectionName: string, items: Item[]): Promise<number>;
    update(collectionName: string, items: Item[]): Promise<number>;
    delete(collectionName: string, itemIds: string[]): Promise<number>;
    truncate(collectionName: string): Promise<void>;
    query({ collectionName, filterByFormula, limitExpr, sortExpr, idsOnly, skip, projection }: AirtableQuery): Promise<any[]>;
    filterToFilterByFormula(filter: Filter): {
        filterByFormula: any;
    };
    wixDataIdToAirtableId(collectionName: string, _id: any): Promise<any>;
    updateSingle(collectionName: string, item: {
        _id: any;
    }): Promise<any>;
    bulkCreateExpr(items: any[]): {
        fields: any;
    }[];
}
export {};
