"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const sql_exception_translator_1 = require("./sql_exception_translator");
class DatabaseOperations {
    constructor(base) {
        this.base = base;
        this.baseId = base.getId();
    }
    validateConnection() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                yield this.base('Table')
                    .select({})
                    .firstPage();
                return { valid: true };
            }
            catch (e) {
                if (this.connectionSucceedTableDoesNotExist(e))
                    return { valid: true };
                return { valid: false, error: (0, sql_exception_translator_1.notThrowingTranslateErrorCodes)(e) };
            }
        });
    }
    connectionSucceedTableDoesNotExist(e) {
        return e.message === `Could not find table Table in application ${this.baseId}`;
    }
}
exports.default = DatabaseOperations;
//# sourceMappingURL=airtable_operations.js.map