import { IAirtableSchemaColumnTranslator } from './sql_schema_translator';
import { Axios } from 'axios';
import { Base } from 'airtable';
import { InputField, ISchemaProvider, SchemaOperations } from '@wix-velo/velo-external-db-types';
export default class SchemaProvider implements ISchemaProvider {
    base: Base;
    baseId: string;
    sqlSchemaTranslator: IAirtableSchemaColumnTranslator;
    axios: Axios;
    constructor(base: any, { apiKey, metaApiKey, baseUrl }: any);
    list(): Promise<{
        id: string;
        fields: any;
    }[]>;
    listHeaders(): Promise<any>;
    supportedOperations(): SchemaOperations[];
    create(collectionName: any): Promise<void>;
    drop(collectionName: any): Promise<void>;
    addColumn(collectionName: any, column: InputField): Promise<void>;
    removeColumn(collectionName: any, columnName: string): Promise<void>;
    describeCollection(collectionName: string): Promise<any>;
    translateDbTypes(type: string): string;
    extractTableData(data: {
        tables: any[];
    }): {
        [key: string]: {
            fields: any;
        };
    };
    columnExists(fields: any[], columnName: any): boolean;
}
