"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.airtableFactory = exports.AirtableConnector = exports.opsDriver = exports.driver = exports.testResources = exports.mockServer = exports.DatabaseOperations = exports.init = exports.SchemaColumnTranslator = exports.FilterParser = exports.DataProvider = exports.SchemaProvider = void 0;
const tslib_1 = require("tslib");
var airtable_schema_provider_1 = require("./airtable_schema_provider");
Object.defineProperty(exports, "SchemaProvider", { enumerable: true, get: function () { return airtable_schema_provider_1.default; } });
var airtable_data_provider_1 = require("./airtable_data_provider");
Object.defineProperty(exports, "DataProvider", { enumerable: true, get: function () { return airtable_data_provider_1.default; } });
var sql_filter_transformer_1 = require("./sql_filter_transformer");
Object.defineProperty(exports, "FilterParser", { enumerable: true, get: function () { return sql_filter_transformer_1.default; } });
var sql_schema_translator_1 = require("./sql_schema_translator");
Object.defineProperty(exports, "SchemaColumnTranslator", { enumerable: true, get: function () { return sql_schema_translator_1.default; } });
var connection_provider_1 = require("./connection_provider");
Object.defineProperty(exports, "init", { enumerable: true, get: function () { return connection_provider_1.default; } });
var airtable_operations_1 = require("./airtable_operations");
Object.defineProperty(exports, "DatabaseOperations", { enumerable: true, get: function () { return airtable_operations_1.default; } });
var mock_air_table_1 = require("../tests/drivers/mock_air_table");
Object.defineProperty(exports, "mockServer", { enumerable: true, get: function () { return mock_air_table_1.app; } });
exports.testResources = require("../tests/e2e-testkit/airtable_resources");
const connection_provider_2 = require("./connection_provider");
const airtable_config_validator_1 = require("./airtable_config_validator");
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
const driver = () => require('../tests/drivers/sql_filter_transformer_test_support');
exports.driver = driver;
const opsDriver = () => require('../tests/drivers/db_operations_test_support');
exports.opsDriver = opsDriver;
class AirtableConnector extends velo_external_db_commons_1.DbConnector {
    constructor() {
        super(airtable_config_validator_1.AirtableConfigValidator, connection_provider_2.default);
        this.type = 'airtable';
    }
}
exports.AirtableConnector = AirtableConnector;
const airtableFactory = (config, options) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const connector = new AirtableConnector();
    const _a = yield connector.initialize(config, options), { connection, cleanup } = _a, providers = tslib_1.__rest(_a, ["connection", "cleanup"]);
    return { connector, connection, providers, cleanup };
});
exports.airtableFactory = airtableFactory;
//# sourceMappingURL=index.js.map