"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notThrowingTranslateErrorCodes = void 0;
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
const { DbConnectionError } = velo_external_db_commons_1.errors;
const notThrowingTranslateErrorCodes = (err) => {
    switch (err.error) {
        case 'NOT_FOUND':
            return new DbConnectionError(`Base does not exists: Airtable message : ${err.message}`);
        case 'AUTHENTICATION_REQUIRED':
            return new DbConnectionError(`Authentication failed: Airtable message: ${err.message}`);
        default:
            return new DbConnectionError(err.message);
    }
};
exports.notThrowingTranslateErrorCodes = notThrowingTranslateErrorCodes;
//# sourceMappingURL=sql_exception_translator.js.map