import { AdapterFilter as Filter, AdapterOperator, Sort } from '@wix-velo/velo-external-db-types';
export interface IAirtableFilterParser {
    transform(filter: Filter): {
        filterExpr: string;
    } | any[];
    orderBy(sort: Sort[]): {
        sort: {
            field: string;
            direction: string;
        }[];
    };
    selectFieldsFor(projection: any): any;
}
export default class FilterParser implements IAirtableFilterParser {
    constructor();
    transform(filter: Filter): never[] | {
        filterExpr: string;
    };
    parseFilter(filter: Filter): {
        filterExpr: string;
    }[];
    multipleFieldOperatorToFilterExpr(operator: string, values: any[]): string;
    valueForStringOperator(operator: AdapterOperator, value: any): any;
    valueForOperator(value: string | any[] | undefined, operator: string): string;
    isSingleFieldOperator(operator: AdapterOperator): boolean;
    isSingleFieldStringOperator(operator: AdapterOperator): boolean;
    adapterOperatorToAirtableOperator(operator: AdapterOperator): AdapterOperator | "=" | "!=" | "<" | "<=" | ">" | ">=";
    orderBy(sort: Sort[]): {
        sort: {
            field: string;
            direction: string;
        }[];
    };
    parseSort({ fieldName, direction }: Sort): {
        field: string;
        direction: string;
    } | [];
    selectFieldsFor(projection: any): any;
}
