"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.misconfiguredDbOperationOptions = exports.dbOperationWithValidDB = void 0;
const airtable_operations_1 = require("../../src/airtable_operations");
const Airtable = require("airtable");
const createPool = (modify) => {
    const config = {
        apiPrivateKey: 'key123',
        metaApiKey: 'meta123',
        baseId: 'app123',
        baseUrl: 'http://localhost:9000'
    };
    const _config = Object.assign(Object.assign({}, config), modify);
    const airtableBase = new Airtable({ apiKey: _config.apiPrivateKey, endpointUrl: _config.baseUrl }).base(_config.baseId);
    return airtableBase;
};
const dbOperationWithMisconfiguredApiPrivateKey = () => new airtable_operations_1.default(createPool({ apiPrivateKey: 'wrong' }));
const dbOperationWithMisconfiguredBaseId = () => new airtable_operations_1.default(createPool({ baseId: 'wrong' }));
const dbOperationWithValidDB = () => {
    const airtableBase = createPool({});
    const dbOperations = new airtable_operations_1.default(airtableBase);
    return { dbOperations, cleanup: () => { } };
};
exports.dbOperationWithValidDB = dbOperationWithValidDB;
const misconfiguredDbOperationOptions = () => ([['pool connection with wrong apiPrivateKey', () => dbOperationWithMisconfiguredApiPrivateKey()],
    ['pool connection with wrong baseId', () => dbOperationWithMisconfiguredBaseId()],
]);
exports.misconfiguredDbOperationOptions = misconfiguredDbOperationOptions;
//# sourceMappingURL=db_operations_test_support.js.map