"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reset = exports.givenProjectionExprFor = exports.givenAllFieldsProjectionFor = exports.givenFilterByIdWith = exports.givenOrderByFor = exports.stubEmptyOrderByFor = exports.stubEmptyFilterFor = exports.stubEmptyFilterAndSortFor = exports.filterParser = void 0;
const velo_external_db_commons_1 = require("@wix-velo/velo-external-db-commons");
const jest_when_1 = require("jest-when");
exports.filterParser = {
    transform: jest.fn(),
    parseFilter: jest.fn(),
    orderBy: jest.fn(),
    parseAggregation: jest.fn(),
    selectFieldsFor: jest.fn()
};
const stubEmptyFilterAndSortFor = (filter, sort) => {
    (0, exports.stubEmptyFilterFor)(filter);
    (0, exports.stubEmptyOrderByFor)(sort);
};
exports.stubEmptyFilterAndSortFor = stubEmptyFilterAndSortFor;
const stubEmptyFilterFor = (filter) => {
    (0, jest_when_1.when)(exports.filterParser.transform).calledWith(filter)
        .mockReturnValue({ filterExpr: '', parameters: [] });
};
exports.stubEmptyFilterFor = stubEmptyFilterFor;
const stubEmptyOrderByFor = (sort) => {
    (0, jest_when_1.when)(exports.filterParser.orderBy).calledWith(sort)
        .mockReturnValue(velo_external_db_commons_1.EmptySort);
};
exports.stubEmptyOrderByFor = stubEmptyOrderByFor;
const givenOrderByFor = (column, sort) => {
    (0, jest_when_1.when)(exports.filterParser.orderBy).calledWith(sort)
        .mockReturnValue({ sort: [{ field: column, direction: 'asc' }] });
};
exports.givenOrderByFor = givenOrderByFor;
const givenFilterByIdWith = (id, filter) => {
    (0, jest_when_1.when)(exports.filterParser.transform).calledWith(filter)
        .mockReturnValue({ filterExpr: `_id = "${id}"` });
};
exports.givenFilterByIdWith = givenFilterByIdWith;
const givenAllFieldsProjectionFor = (projection) => (0, jest_when_1.when)(exports.filterParser.selectFieldsFor).calledWith(projection)
    //@ts-ignore 
    .mockReturnValue();
exports.givenAllFieldsProjectionFor = givenAllFieldsProjectionFor;
const givenProjectionExprFor = (projection) => (0, jest_when_1.when)(exports.filterParser.selectFieldsFor).calledWith(projection)
    .mockReturnValue(projection);
exports.givenProjectionExprFor = givenProjectionExprFor;
const reset = () => {
    exports.filterParser.transform.mockClear();
    exports.filterParser.orderBy.mockClear();
    exports.filterParser.parseAggregation.mockClear();
    exports.filterParser.parseFilter.mockClear();
    exports.filterParser.selectFieldsFor.mockClear();
};
exports.reset = reset;
//# sourceMappingURL=sql_filter_transformer_test_support.js.map