"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.name = exports.schemaProviderTestVariables = exports.setActive = exports.shutdownEnv = exports.initEnv = exports.cleanup = exports.connection = exports.supportedOperations = void 0;
const tslib_1 = require("tslib");
const connection_provider_1 = require("../../src/connection_provider");
const mock_air_table_1 = require("../drivers/mock_air_table");
var supported_operations_1 = require("../../src/supported_operations");
Object.defineProperty(exports, "supportedOperations", { enumerable: true, get: function () { return supported_operations_1.supportedOperations; } });
let _server;
const PORT = 9000;
const connection = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { connection, schemaProvider, cleanup } = yield (0, connection_provider_1.default)(connectionConfig(), { requestTimeout: 1000 });
    return { pool: connection, schemaProvider, cleanup: cleanup };
});
exports.connection = connection;
const cleanup = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const { schemaProvider, cleanup } = yield (0, connection_provider_1.default)(connectionConfig(), { requestTimeout: 1000 });
    const tables = yield schemaProvider.list();
    yield Promise.all(tables.map(t => t.id).map(t => schemaProvider.drop(t)));
    yield cleanup();
});
exports.cleanup = cleanup;
const initEnv = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    _server = mock_air_table_1.app.listen(PORT);
});
exports.initEnv = initEnv;
const shutdownEnv = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    _server.close();
});
exports.shutdownEnv = shutdownEnv;
const setActive = () => {
    process.env['AIRTABLE_API_KEY'] = 'key123';
    process.env['META_API_KEY'] = 'meta123';
    process.env['TYPE'] = 'airtable';
    process.env['BASE_ID'] = 'app123';
    process.env['BASE_URL'] = 'http://localhost:9000';
};
exports.setActive = setActive;
const schemaProviderTestVariables = () => ({
    apiKey: 'key123',
    metaApiKey: 'meta123',
    baseUrl: `http://localhost:${PORT}`
});
exports.schemaProviderTestVariables = schemaProviderTestVariables;
const connectionConfig = () => ({ apiPrivateKey: 'key123', baseId: 'app123', metaApiKey: 'meta123', baseUrl: `http://localhost:${PORT}` });
exports.name = 'airtable';
//# sourceMappingURL=airtable_resources.js.map